MeasurementTemplate (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.MeasurementTemplate class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class MeasurementTemplate

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.measurement.server.session.MeasurementTemplate

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

    public class MeasurementTemplate

extends PersistedObject
implements ContainerManagedTimestampTrackable, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`MeasurementTemplate()`
`MeasurementTemplate(java.lang.String name, java.lang.String alias, java.lang.String units, int collectionType, boolean defaultOn, long defaultInterval, boolean designate, java.lang.String template, MonitorableType type, Category category, java.lang.String plugin)`

Method Summary
`boolean` | `allowContainerManagedCreationTime()` Define the management policy for the creation time.
`boolean` | `allowContainerManagedLastModifiedTime()` Define the management policy for the last modified time.
`java.lang.String` | `formatValue(double val)` Format a metric values, based on the unites specified by this template.
`java.lang.String` | `formatValue(MetricValue val)` Format a metric value, based on the units specified by this template
`java.lang.String` | `getAlias()`
`Category` | `getCategory()`
`int` | `getCollectionType()`
`long` | `getCtime()`
`long` | `getDefaultInterval()`
`MonitorableType` | `getMonitorableType()`
`long` | `getMtime()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPlugin()`
`java.lang.String` | `getTemplate()`
`java.lang.String` | `getUnits()`
`boolean` | `isAvailability()`
`boolean` | `isDefaultOn()`
`boolean` | `isDesignate()`
`void` | `setName(java.lang.String name)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasurementTemplate

    public MeasurementTemplate()

### MeasurementTemplate

    public MeasurementTemplate(java.lang.String name,
                               java.lang.String alias,
                               java.lang.String units,
                               int collectionType,
                               boolean defaultOn,
                               long defaultInterval,
                               boolean designate,
                               java.lang.String template,
                               MonitorableType type,
                               Category category,
                               java.lang.String plugin)

Method Detail

### allowContainerManagedCreationTime

    public boolean allowContainerManagedCreationTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the creation time. If the creation time is set explicitly, an explicit management policy will be assumed always, regardless of the return value.

  Specified by:
    `allowContainerManagedCreationTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `true` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### allowContainerManagedLastModifiedTime

    public boolean allowContainerManagedLastModifiedTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the last modified time.

  Specified by:
    `allowContainerManagedLastModifiedTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `true` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getAlias

    public java.lang.String getAlias()

### getUnits

    public java.lang.String getUnits()

### getCollectionType

    public int getCollectionType()

### isDefaultOn

    public boolean isDefaultOn()

### getDefaultInterval

    public long getDefaultInterval()

### isDesignate

    public boolean isDesignate()

### getTemplate

    public java.lang.String getTemplate()

### getPlugin

    public java.lang.String getPlugin()

### getCtime

    public long getCtime()

### getMtime

    public long getMtime()

### getMonitorableType

    public MonitorableType getMonitorableType()

### getCategory

    public Category getCategory()

### isAvailability

    public boolean isAvailability()

### formatValue

    public java.lang.String formatValue(MetricValue val)

  Format a metric value, based on the units specified by this template

### formatValue

    public java.lang.String formatValue(double val)

  Format a metric values, based on the unites specified by this template.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.